@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
* {
    margin: 0px;
    padding: 0px;
    transition: all .2s ease-in-out;
    font-family: 'Montserrat';
}
body {
    background-image: url('assets/img/bg.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
}
.loginform {
    background: white;
    display: flex;
    box-shadow: 0px 0px 20px rgba(255, 255, 255, .3);
    flex-direction: column;
    border: .1px solid rgba(255, 255, 255, .3);
    height: fit-content;
    width: 20vw;
    padding: 4vh 2vw;
    gap: 1vh;
}
.loginform:hover {
    border: .1px solid rgba(255, 255, 255, .7);
    box-shadow: 0px 0px 20px rgba(255, 255, 255, .7);
    transform: translateY(-.5vh);
}
.loginform>input {
    border: .1px solid rgba(0, 0, 0, .4);
    padding: .5vh .5vw;
    font-size: calc(.4vh + 1vw);
    font-weight: 600;
}
.loginform>button {
    border: .1px solid rgba(0, 0, 0, .4);
    padding: 1vh .5vw;
    font-size: calc(.5vh + .7vw);
    font-weight: 600;
}
.loginform>button:hover {
    background-color: rgba(0, 100, 255, .8);
    color: white;
}
.warn {
    color: red;
    text-align: center;
    margin: 0px;
    font-weight: 700;
}
@media screen and (max-width: 400px) {
    .loginform {
        width: 70vw;
    }
    .loginform>input {
        border: .1px solid rgba(0, 0, 0, .4);
        padding: 1vh 1vw;
        font-size: 20px;
        font-weight: 600;
    }
    .loginform>button {
        padding: 2vh 0vw;
        font-size: 14px;
    }
}